Loading...
Searching...
No Matches
msg_hclass_s Struct Reference

Factory object for a header. More...

`#include <msg_types.h>`

## Data Fields

int | hc_hash
| Header name hash or ID.
msg_parse_f * | hc_parse
| Parse header.
msg_print_f * | hc_print
| Print header.
msg_xtra_f * | hc_dxtra
| Calculate extra size for dup.
msg_dup_f * | hc_dup_one
| Duplicate one header.
msg_update_f * | hc_update
| Update parameter(s).
char const * | hc_name
| Full name.
short | hc_len
| Length of hc_name.
char | hc_short [2]
| Short name, if any.
unsigned char | hc_size
| Size of header structure.
unsigned char | hc_params
| Offset of parameter list.
unsigned | hc_kind:3
| Kind of header (msg_header_kind_t): single, append, list, apndlist, prepend.
unsigned | hc_critical:1
| True if header is critical.

## Detailed Description

Factory object for a header.

The msg_hclass_t object, "header class", defines how a header is handled. It has parsing and printing functions, functions used to copy header objects, header name and other information used when parsing, printing, removing, adding and replacing headers within a message.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.